effect clear @a minecraft:levitation

scoreboard players reset @a[team=lobby] forfeit

execute unless entity @a[team=red] as @a if data entity @s Inventory[{Slot:102b,tag:{map:{jointeam:"red"}}}] run team join red @s
execute unless entity @a[team=yellow] as @a if data entity @s Inventory[{Slot:102b,tag:{map:{jointeam:"yellow"}}}] run team join yellow @s
execute unless entity @a[team=green] as @a if data entity @s Inventory[{Slot:102b,tag:{map:{jointeam:"green"}}}] run team join green @s
execute unless entity @a[team=blue] as @a if data entity @s Inventory[{Slot:102b,tag:{map:{jointeam:"blue"}}}] run team join blue @s
execute as @a if data entity @s Inventory[{Slot:102b,tag:{map:{jointeam:"spectate"}}}] run team join lobby @s

execute as @a unless data entity @s Inventory[{Slot:1b,tag:{map:{jointeam:"red"}}}] run clear @s minecraft:leather_chestplate{map:{jointeam:"red"}}
execute as @a unless data entity @s Inventory[{Slot:2b,tag:{map:{jointeam:"yellow"}}}] run clear @s minecraft:leather_chestplate{map:{jointeam:"yellow"}}
execute as @a unless data entity @s Inventory[{Slot:3b,tag:{map:{jointeam:"green"}}}] run clear @s minecraft:leather_chestplate{map:{jointeam:"green"}}
execute as @a unless data entity @s Inventory[{Slot:4b,tag:{map:{jointeam:"blue"}}}] run clear @s minecraft:leather_chestplate{map:{jointeam:"blue"}}
execute as @a unless data entity @s Inventory[{Slot:7b,tag:{map:{jointeam:"spectate"}}}] run clear @s minecraft:leather_chestplate{map:{jointeam:"spectate"}}

execute if entity @a[team=red] as @a unless data entity @s Inventory[{Slot:1b,tag:{map:{jointeam:"disabled"}}}] run clear @s minecraft:barrier{map:{jointeam:"disabled"}}
execute if entity @a[team=yellow] as @a unless data entity @s Inventory[{Slot:2b,tag:{map:{jointeam:"disabled"}}}] run clear @s minecraft:barrier{map:{jointeam:"disabled"}}
execute if entity @a[team=green] as @a unless data entity @s Inventory[{Slot:3b,tag:{map:{jointeam:"disabled"}}}] run clear @s minecraft:barrier{map:{jointeam:"disabled"}}
execute if entity @a[team=blue] as @a unless data entity @s Inventory[{Slot:4b,tag:{map:{jointeam:"disabled"}}}] run clear @s minecraft:barrier{map:{jointeam:"disabled"}}

execute unless entity @a[team=red] run item replace entity @a hotbar.1 with minecraft:leather_chestplate{map:{jointeam:"red"},display:{color:16733525,Name:"[{\"text\":\"Play : \",\"color\":\"gray\",\"bold\":false,\"italic\":false},{\"text\":\"RED\",\"color\":\"red\",\"bold\":true,\"italic\":false}]"}}
execute if entity @a[team=red] run item replace entity @a hotbar.1 with minecraft:barrier{map:{jointeam:"disabled"},display:{Name:"{\"text\":\"Unavailable\",\"color\":\"gray\",\"bold\":true,\"italic\":false}"}}
execute unless entity @a[team=yellow] run item replace entity @a hotbar.2 with minecraft:leather_chestplate{map:{jointeam:"yellow"},display:{color:16777045,Name:"[{\"text\":\"Play : \",\"color\":\"gray\",\"bold\":false,\"italic\":false},{\"text\":\"YELLOW\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}]"}}
execute if entity @a[team=yellow] run item replace entity @a hotbar.2 with minecraft:barrier{map:{jointeam:"disabled"},display:{Name:"{\"text\":\"Unavailable\",\"color\":\"gray\",\"bold\":true,\"italic\":false}"}}
execute unless entity @a[team=green] run item replace entity @a hotbar.3 with minecraft:leather_chestplate{map:{jointeam:"green"},display:{color:5635925,Name:"[{\"text\":\"Play : \",\"color\":\"gray\",\"bold\":false,\"italic\":false},{\"text\":\"GREEN\",\"color\":\"green\",\"bold\":true,\"italic\":false}]"}}
execute if entity @a[team=green] run item replace entity @a hotbar.3 with minecraft:barrier{map:{jointeam:"disabled"},display:{Name:"{\"text\":\"Unavailable\",\"color\":\"gray\",\"bold\":true,\"italic\":false}"}}
execute unless entity @a[team=blue] run item replace entity @a hotbar.4 with minecraft:leather_chestplate{map:{jointeam:"blue"},display:{color:5592575,Name:"[{\"text\":\"Play : \",\"color\":\"gray\",\"bold\":false,\"italic\":false},{\"text\":\"BLUE\",\"color\":\"blue\",\"bold\":true,\"italic\":false}]"}}
execute if entity @a[team=blue] run item replace entity @a hotbar.4 with minecraft:barrier{map:{jointeam:"disabled"},display:{Name:"{\"text\":\"Unavailable\",\"color\":\"gray\",\"bold\":true,\"italic\":false}"}}

item replace entity @a hotbar.7 with minecraft:leather_chestplate{map:{jointeam:"spectate"},display:{color:11184810,Name:"[{\"text\":\"Spectate\",\"color\":\"gray\",\"bold\":true,\"italic\":false}]"}}

clear @a minecraft:red_stained_glass{map:{draw:"line"}}
clear @a minecraft:red_wool{map:{draw:"dot"}}
clear @a minecraft:yellow_stained_glass{map:{draw:"line"}}
clear @a minecraft:yellow_wool{map:{draw:"dot"}}
clear @a minecraft:lime_stained_glass{map:{draw:"line"}}
clear @a minecraft:lime_wool{map:{draw:"dot"}}
clear @a minecraft:light_blue_stained_glass{map:{draw:"line"}}
clear @a minecraft:light_blue_wool{map:{draw:"dot"}}



execute if score *map.start map.time matches 0.. run scoreboard players add *map.start map.time 1

execute if score *map.start map.time matches ..-1 if block 0 1 13 minecraft:crimson_button[powered=true] run function map:nogame/countdown/start
execute if score *map.start map.time matches 0.. if block 0 1 13 minecraft:crimson_button[powered=true] run function map:nogame/countdown/cancel

execute if score *map.start map.time matches 0 run title @a times 5 100 0
execute if score *map.start map.time matches 0 run title @a subtitle ""
execute if score *map.start map.time matches 0 run title @a title {"text":"- 5 -","color":"light_purple","bold":true}
execute if score *map.start map.time matches 0 as @a at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 1 1
execute if score *map.start map.time matches 20 run title @a times 0 100 0
execute if score *map.start map.time matches 20 run title @a title {"text":"- 4 -","color":"light_purple","bold":true}
execute if score *map.start map.time matches 20 as @a at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 1 1
execute if score *map.start map.time matches 40 run title @a title {"text":"- 3 -","color":"light_purple","bold":true}
execute if score *map.start map.time matches 40 as @a at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 1 1
execute if score *map.start map.time matches 60 run title @a title {"text":"- 2 -","color":"light_purple","bold":true}
execute if score *map.start map.time matches 60 as @a at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 1 1
execute if score *map.start map.time matches 80 run title @a title {"text":"- 1 -","color":"light_purple","bold":true}
execute if score *map.start map.time matches 80 as @a at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 1 1
execute if score *map.start map.time matches 100 run title @a times 0 20 10
execute if score *map.start map.time matches 100 run title @a title {"text":"- Start -","color":"light_purple","bold":true}
execute if score *map.start map.time matches 100 as @a at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 1 1
execute if score *map.start map.time matches 100 run function map:game/state/start
